Orxonox: orxonox::ExplosionChunk Class Reference

# orxonox::ExplosionChunk Class Reference

`#include <src/orxonox/objects/worldentities/ExplosionChunk.h>`

Inheritance diagram for orxonox::ExplosionChunk:

List of all members.

## Public Member Functions

| ExplosionChunk (BaseObject *creator)
LODParticle::Value | getLOD () const
void | registerVariables ()
void | setLOD (LODParticle::Value level)
virtual void | tick (float dt)
| Gets called every frame.
virtual | ~ExplosionChunk ()

## Private Member Functions

void | checkStop ()
void | destroy ()
void | LODchanged ()
void | stop ()

## Private Attributes

bool | bStop_
Timer< ExplosionChunk > | destroyTimer_
ParticleInterface * | fire_
LODParticle::Value | LOD_
ParticleInterface * | smoke_

## Constructor & Destructor Documentation

orxonox::ExplosionChunk::ExplosionChunk | ( | BaseObject * | creator | ) |

References orxonox::WorldEntity::attachOgreObject(), bStop_, COUT, orxonox::createExecutor(), destroyTimer_, fire_, orxonox::ParticleInterface::getParticleSystem(), orxonox::BaseObject::getScene(), orxonox::GameMode::isMaster(), LOD_, orxonox::LODParticle::Normal, RegisterObject, registerVariables(), orxonox::rnd(), orxonox::MobileEntity::setVelocity(), orxonox::GameMode::showsGraphics(), smoke_, stop(), ThrowException, and orxonox::MT_Type::Vector3.

orxonox::ExplosionChunk::~ExplosionChunk | ( |  | ) | `[virtual]`

References orxonox::WorldEntity::detachOgreObject(), fire_, orxonox::ParticleInterface::getParticleSystem(), orxonox::BaseObject::isInitialized(), and smoke_.

## Member Function Documentation

void orxonox::ExplosionChunk::checkStop | ( |  | ) | `[private]`

References bStop_, and stop().

Referenced by registerVariables().

void orxonox::ExplosionChunk::destroy | ( |  | ) | `[private]`

Referenced by stop().

LODParticle::Value orxonox::ExplosionChunk::getLOD | ( |  | ) | const`[inline]`

void orxonox::ExplosionChunk::LODchanged | ( |  | ) | `[private]`

References fire_, LOD_, orxonox::ParticleInterface::setDetailLevel(), and smoke_.

Referenced by registerVariables().

void orxonox::ExplosionChunk::registerVariables | ( |  | ) |

Reimplemented from orxonox::MovableEntity.

References bStop_, checkStop(), LOD_, LODchanged(), orxonox::Synchronisable::registerVariable(), and orxonox::VariableDirection::ToClient.

Referenced by ExplosionChunk().

void orxonox::ExplosionChunk::setLOD | ( | LODParticle::Value | level | ) | `[inline]`

void orxonox::ExplosionChunk::stop | ( |  | ) | `[private]`

References bStop_, orxonox::createExecutor(), destroy(), destroyTimer_, fire_, orxonox::GameMode::isMaster(), orxonox::ParticleInterface::setEnabled(), and smoke_.

Referenced by checkStop(), and ExplosionChunk().

void orxonox::ExplosionChunk::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Reimplemented from orxonox::MobileEntity.

References orxonox::MobileEntity::getVelocity(), orxonox::GameMode::isMaster(), orxonox::rnd(), orxonox::MobileEntity::setVelocity(), SUPER, and orxonox::MT_Type::Vector3.

## Member Data Documentation

bool orxonox::ExplosionChunk::bStop_`[private]`

Referenced by checkStop(), ExplosionChunk(), registerVariables(), and stop().

Timer<ExplosionChunk> orxonox::ExplosionChunk::destroyTimer_`[private]`

Referenced by ExplosionChunk(), and stop().

ParticleInterface* orxonox::ExplosionChunk::fire_`[private]`

Referenced by ExplosionChunk(), LODchanged(), stop(), and ~ExplosionChunk().

LODParticle::Value orxonox::ExplosionChunk::LOD_`[private]`

Referenced by ExplosionChunk(), LODchanged(), and registerVariables().

ParticleInterface* orxonox::ExplosionChunk::smoke_`[private]`

Referenced by ExplosionChunk(), LODchanged(), stop(), and ~ExplosionChunk().

The documentation for this class was generated from the following files:

- src/orxonox/objects/worldentities/ExplosionChunk.h
- src/orxonox/objects/worldentities/ExplosionChunk.cc